## grib-api 1.13.1

=== CMakeLists.txt ===
############################################################################################
# cmake options:
#
#       -DCMAKE_BUILD_TYPE=Debug|RelWithDebInfo|Release|Production
#       -DCMAKE_INSTALL_PREFIX=/path/to/install
#
#       -DCMAKE_MODULE_PATH=/path/to/ecbuild/cmake

cmake_minimum_required( VERSION 2.8.4 FATAL_ERROR )

project( grib_api C )

set( CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/../ecbuild/cmake")

set( GRIB_API_INSTALL_INCLUDE_DIR include CACHE PATH "GRIB_API override installation directory for header files")

include( ecbuild_system )

ecbuild_requires_macro_version( 1.6 )

###############################################################################
# local project

ecbuild_declare_project()

###############################################################################
# some variables/options of this project

ecbuild_add_option( FEATURE JPG
    DESCRIPTION "support for JPG decoding/encoding"
	DEFAULT ON
)

ecbuild_add_option( FEATURE PNG
    DESCRIPTION "support for PNG decoding/encoding"
	DEFAULT OFF
	REQUIRED_PACKAGES PNG
)

if( HAVE_PNG )
	set( HAVE_LIBPNG 1 ) # compatibility with autotools
	add_definitions( ${PNG_DEFINITIONS} )
else()
	set( HAVE_LIBPNG 0 )
endif()

ecbuild_add_option( FEATURE NETCDF
    DESCRIPTION "support for GRIB to NetCDF conversion"
	DEFAULT ON
	REQUIRED_PACKAGES NetCDF
)

ecbuild_add_option( FEATURE AEC
	DESCRIPTION "support for Adaptive Entropy Coding"
	DEFAULT OFF
	REQUIRED_PACKAGES AEC
)

ecbuild_add_option( FEATURE PYTHON
	DESCRIPTION "build the GRIB_API Python interface"
	DEFAULT ON
)

ecbuild_add_option( FEATURE FORTRAN
	DESCRIPTION "build the GRIB_API Fortran interface"
	DEFAULT ON
)

if( ENABLE_FORTRAN )
    # will set EC_HAVE_FORTRAN with the result
    ecbuild_enable_fortran( MODULE_DIRECTORY ${PROJECT_BINARY_DIR}/fortran/modules )
	set( HAVE_FORTRAN ${EC_HAVE_FORTRAN} )
endif()

# advanced options (not visible in cmake-gui )

ecbuild_add_option( FEATURE MEMORY_MANAGEMENT DESCRIPTION "enable memory management" DEFAULT OFF ADVANCED )
ecbuild_add_option( FEATURE ALIGN_MEMORY      DESCRIPTION "enable memory alignment"  DEFAULT OFF ADVANCED )

ecbuild_add_option( FEATURE GRIB_TIMER       DESCRIPTION "enable timer"   DEFAULT OFF ADVANCED )
ecbuild_add_option( FEATURE GRIB_THREADS     DESCRIPTION "enable threads" DEFAULT OFF ADVANCED )

###############################################################################
# macro processing

set( GRIB_API_EXTRA_LIBRARIES    "" )
set( GRIB_API_EXTRA_INCLUDE_DIRS "" )
set( GRIB_API_EXTRA_DEFINITIONS  "" )

find_package( CMath )

### JPG support

set( HAVE_JPEG 0 )
set( HAVE_LIBJASPER 0 )
set( HAVE_LIBOPENJPEG 0 )

if( ENABLE_JPG )

    ecbuild_add_extra_search_paths( jasper ) # help standard cmake macro with ecmwf paths
    find_package( Jasper )

    find_package( OpenJPEG )

    if( JASPER_FOUND )
        set( HAVE_JPEG 1 )
        set( HAVE_LIBJASPER 1 )
    endif()

    if( OpenJPEG_FOUND )
        set( HAVE_JPEG 1 )
        set( HAVE_LIBOPENJPEG 1 )
    endif()

endif()


###############################################################################
# other options

if( GRIB_TIMER )
    set( GRIB_TIMER 1 )
else()
    set( GRIB_TIMER 0 )
endif()

set( IS_BIG_ENDIAN 0 )
if( EC_BIG_ENDIAN )
    set( IS_BIG_ENDIAN 1 )
endif()

set( MANAGE_MEM 0 )
if( ENABLE_MEMORY_MANAGEMENT )
    set( MANAGE_MEM 1 )
endif()

set( CMAKE_THREAD_PREFER_PTHREAD 1 ) # find thread library, but prefer pthreads
find_package(Threads REQUIRED)

# debug
message(STATUS " CMAKE_THREAD_LIBS_INIT=${CMAKE_THREAD_LIBS_INIT}")
message(STATUS " CMAKE_USE_PTHREADS_INIT=${CMAKE_USE_PTHREADS_INIT}")
message(STATUS " GRIB_THREADS=${GRIB_THREADS}, HAVE_GRIB_THREADS=${HAVE_GRIB_THREADS}")

set( GRIB_PTHREADS 0 )
set( GRIB_LINUX_PTHREADS 0 )
if( HAVE_GRIB_THREADS )
    if( CMAKE_USE_PTHREADS_INIT )
        set( GRIB_PTHREADS 1 )
        if( ${CMAKE_SYSTEM_NAME} MATCHES "Linux" )
            set( GRIB_LINUX_PTHREADS 1 )
        endif()
    endif()
endif()
message(STATUS " GRIB_PTHREADS=${GRIB_PTHREADS}")

set( GRIB_MEM_ALIGN 0 )
if( ENABLE_ALIGN_MEMORY )
  set( GRIB_MEM_ALIGN 1 )
endif()

# fix for #if IEEE_LE or IEE_BE instead of #ifdef

if( IEEE_BE )
    set( IEEE_LE 0 )
endif()

if( IEEE_LE )
    set( IEEE_BE 0 )
endif()

###############################################################################
# contents

if( NOT ${DEVELOPER_MODE} )
    set( grib_api_default_data_prefix ${CMAKE_INSTALL_PREFIX} )
else()
    set( grib_api_default_data_prefix ${CMAKE_BINARY_DIR} )
endif()

if( NOT DEFINED GRIB_API_DEFINITION_PATH )
    set( GRIB_API_DEFINITION_PATH ${grib_api_default_data_prefix}/share/grib_api/definitions )
endif()
if( NOT DEFINED GRIB_API_SAMPLES_PATH )
    set( GRIB_API_SAMPLES_PATH ${grib_api_default_data_prefix}/share/grib_api/samples )
endif()
if( NOT DEFINED GRIB_API_IFS_SAMPLES_PATH )
    set( GRIB_API_IFS_SAMPLES_PATH ${grib_api_default_data_prefix}/share/grib_api/ifs_samples )
endif()

### config header

ecbuild_generate_config_headers()

configure_file( grib_api_config.h.in grib_api_config.h )

add_definitions( -DHAVE_GRIB_API_CONFIG_H )

install( FILES ${CMAKE_CURRENT_BINARY_DIR}/grib_api_config.h DESTINATION ${INSTALL_INCLUDE_DIR} )

if( CMAKE_COMPILER_IS_GNUCC )
    cmake_add_c_flags("-pedantic")
endif()

############################################################################################
# contents

### export package to other ecbuild packages

set( GRIB_API_TPLS            AEC PNG Jasper OpenJPEG CMath )
set( GRIB_API_INCLUDE_DIRS    ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/src ${CMAKE_CURRENT_BINARY_DIR}/src )
set( GRIB_API_LIBRARIES       grib_api )

get_directory_property( COMPILE_DEFINITIONS GRIB_API_DEFINITIONS )

foreach( _tpl ${GRIB_API_TPLS} )
    string( TOUPPER ${_tpl} TPL )
    if( ${TPL}_FOUND )
        list( APPEND GRIB_API_EXTRA_DEFINITIONS   ${${TPL}_DEFINITIONS} )
        list( APPEND GRIB_API_EXTRA_INCLUDE_DIRS  ${${TPL}_INCLUDE_DIRS} ${${TPL}_INCLUDE_DIR} )
        list( APPEND GRIB_API_EXTRA_LIBRARIES     ${${TPL}_LIBRARIES} )
    endif()
endforeach()

### include directories

include_directories( ${GRIB_API_INCLUDE_DIRS}  ${GRIB_API_EXTRA_INCLUDE_DIRS} )

add_subdirectory( src )
add_subdirectory( tools )
add_subdirectory( fortran )
add_subdirectory( python )
add_subdirectory( definitions )
add_subdirectory( tests )
add_subdirectory( tigge )
add_subdirectory( examples )
add_subdirectory( data )

add_subdirectory( samples )
add_subdirectory( ifs_samples ) # must come after samples

# ecbuild_dont_pack( DIRS samples DONT_PACK_REGEX "*.grib" )
ecbuild_dont_pack( DIRS
     concepts html tests.ecmwf doxygen examples.dev templates sms parameters java
     perl/GRIB-API/lib perl/GRIB-API/t gaussian_experimental gribex examples/F77
     examples/extra bamboo definitions/bufr use fortran/fortranCtypes tigge/tools
)

add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

############################################################################################
# export to other projects

# temporary -- add support for ecbuild 1.0.x sub-project inclusion
# to remove once mars server & client use eckit & ecbuild >= 1.1

if( EC_HAVE_FORTRAN )
    list( APPEND GRIB_API_INCLUDE_DIRS  ${CMAKE_Fortran_MODULE_DIRECTORY} )
    list( APPEND GRIB_API_LIBRARIES grib_api_f77 grib_api_f90 )
endif()

if( NOT PROJECT_NAME STREQUAL CMAKE_PROJECT_NAME )
    set( GRIB_API_DEFINITIONS     ${GRIB_API_DEFINITIONS}  PARENT_SCOPE )# includes already TPL definitions
    set( GRIB_API_INCLUDE_DIRS    ${GRIB_API_INCLUDE_DIRS} ${GRIB_API_EXTRA_INCLUDE_DIRS} PARENT_SCOPE )
    set( GRIB_API_LIBRARIES       ${GRIB_API_LIBRARIES}    ${GRIB_API_EXTRA_LIBRARIES} ${CMATH_LIBRARIES} PARENT_SCOPE )
    set( GRIB_API_FOUND           TRUE PARENT_SCOPE )
    set( GRIB_API_SAMPLES_PATH     ${GRIB_API_SAMPLES_PATH} PARENT_SCOPE )
    set( GRIB_API_IFS_SAMPLES_PATH ${GRIB_API_IFS_SAMPLES_PATH} PARENT_SCOPE )
    set( GRIB_API_DEFINITION_PATH  ${GRIB_API_DEFINITION_PATH} PARENT_SCOPE )
endif()

# pkg-config
ecbuild_pkgconfig(
  NAME                grib_api
  URL                 "https://software.ecmwf.int/wiki/display/GRIB/"
  DESCRIPTION         "The GRIB API library"
  LIBRARIES           grib_api
  VARIABLES           HAVE_JPG HAVE_LIBJASPER HAVE_GRIB_THREADS HAVE_NETCDF
                      HAVE_PYTHON HAVE_FORTRAN HAVE_PNG HAVE_AEC
)
if( EC_HAVE_FORTRAN )
 ecbuild_pkgconfig(
   NAME                grib_api_f90
   URL                 "https://software.ecmwf.int/wiki/display/GRIB/"
   LIBRARIES           grib_api_f90 grib_api
   DESCRIPTION         "The GRIB API library for Fortran 90"
   IGNORE_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/fortran ${PROJECT_BINARY_DIR}/fortran
   VARIABLES           HAVE_JPG HAVE_LIBJASPER HAVE_GRIB_THREADS HAVE_NETCDF
                       HAVE_PYTHON HAVE_PNG HAVE_AEC
 )
  ecbuild_pkgconfig(
   NAME                grib_api_f77
   URL                 "https://software.ecmwf.int/wiki/display/GRIB/"
   LIBRARIES           grib_api_f77 grib_api
   DESCRIPTION         "The GRIB API library for Fortran 77"
   IGNORE_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/fortran ${PROJECT_BINARY_DIR}/fortran
   VARIABLES           HAVE_JPG HAVE_LIBJASPER HAVE_GRIB_THREADS HAVE_NETCDF
                       HAVE_PYTHON HAVE_PNG HAVE_AEC
 )
endif()

############################################################################################
# finalize

ecbuild_install_project( NAME ${CMAKE_PROJECT_NAME} )

ecbuild_print_summary()

=== data/CMakeLists.txt ===
# data/CMakeLists.txt
add_subdirectory(tigge)



# Download all the binary grib data from website
#
set(files_to_download
    bad.grib
    budg
    constant_field.grib1
    constant_width_bitmap.grib
    constant_width_boust_bitmap.grib
    gen.grib
    gen_bitmap.grib
    gen_ext_bitmap.grib
    gen_ext_boust_bitmap.grib
    gen_ext_boust.grib
    gen_ext.grib
    gen_ext_spd_2_bitmap.grib
    gen_ext_spd_2_boust_bitmap.grib
    gen_ext_spd_2.grib
    gen_ext_spd_3_boust_bitmap.grib
    gen_ext_spd_3.grib
    gfs.c255.grib2
    gts.grib
    index.grib
    jpeg.grib2
    lfpw.grib1
    missing_field.grib1
    missing.grib2
    mixed.grib
    multi_created.grib2
    multi.grib2
    pad.grib
    reduced_gaussian_lsm.grib1
    reduced_gaussian_model_level.grib1
    reduced_gaussian_model_level.grib2
    reduced_gaussian_pressure_level_constant.grib1
    reduced_gaussian_pressure_level_constant.grib2
    reduced_gaussian_pressure_level.grib1
    reduced_gaussian_pressure_level.grib2
    reduced_gaussian_sub_area.grib1
    reduced_gaussian_sub_area.grib2
    reduced_gaussian_surface.grib1
    reduced_gaussian_surface.grib2
    reduced_gaussian_surface_jpeg.grib2
    reduced_latlon_surface_constant.grib1
    reduced_latlon_surface_constant.grib2
    reduced_latlon_surface.grib1
    reduced_latlon_surface.grib2
    reference_ensemble_mean.grib1
    reference_stdev.grib1
    regular_gaussian_model_level.grib1
    regular_gaussian_model_level.grib2
    regular_gaussian_pressure_level_constant.grib1
    regular_gaussian_pressure_level_constant.grib2
    regular_gaussian_pressure_level.grib1
    regular_gaussian_pressure_level.grib2
    regular_gaussian_surface.grib1
    regular_gaussian_surface.grib2
    regular_latlon_surface_constant.grib1
    regular_latlon_surface_constant.grib2
    regular_latlon_surface.grib1
    regular_latlon_surface.grib2
    row.grib
    sample.grib2
    satellite.grib
    second_ord_rbr.grib1
    simple_bitmap.grib
    simple.grib
    small_ensemble.grib1
    spectral_compex.grib1
    spectral_complex.grib1
    spherical_model_level.grib1
    spherical_pressure_level.grib1
    sst_globus0083.grib
    test.grib1
    test_uuid.grib2
    tigge_af_ecmwf.grib2
    tigge_cf_ecmwf.grib2
    tigge_ecmwf.grib2
    tigge_pf_ecmwf.grib2
    timeRangeIndicator_0.grib
    timeRangeIndicator_10.grib
    timeRangeIndicator_5.grib
    tp_ecmwf.grib
    v.grib2
)

if( HAVE_AEC )
    LIST(APPEND files_to_download ccsds.grib2)
endif()


foreach( f ${files_to_download} )
  set(tgt data_${f})
  # Download the file and create a dummy target for it
  ecbuild_get_test_data(TARGET "${tgt}" NAME "${f}" DIRNAME ${PROJECT_NAME}/data NOCHECK)

  # Add to list of targets
  LIST(APPEND tgts "${tgt}")
endforeach()

# Copy other files - e.g. reference data, text files etc from the source data dir
LIST(APPEND other_files
    60_model_levels
    bitmap.diff
    ieee_test.good
    index.ok
    index_f90.ok
    julian.out.good
    list_points
    local.good.log
    ls.log
    multi.ok
    multi_step.txt
    no_bitmap.diff
    read_any.ok
    scan_x_regular_gg_5_7_good.dump
    scan_x_regular_ll_5_4_good.dump
    scan_x_regular_ll_5_7_good.dump
    scan_x_regular_ll_8_4_good.dump
    scan_x_regular_ll_8_7_good.dump
    scan_x_rotated_ll_5_4_good.dump
    scan_x_rotated_ll_5_7_good.dump
    scan_x_rotated_ll_8_4_good.dump
    scan_x_rotated_ll_8_7_good.dump
    scan_y_regular_ll_5_4_good.dump
    scan_y_regular_ll_5_7_good.dump
    scan_y_regular_ll_8_4_good.dump
    scan_y_regular_ll_8_7_good.dump
    scan_y_rotated_ll_5_4_good.dump
    scan_y_rotated_ll_5_7_good.dump
    scan_y_rotated_ll_8_4_good.dump
    scan_y_rotated_ll_8_7_good.dump
    spherical_model_level.grib1.good
    spherical_model_level.grib1_32.good
    statistics.out.good
    step.log
    step_grib1.filter
    step_grib1.log
    typeOfProcessedData.ok
    tigge_pf_ecmwf.grib2.ref
)

foreach( file ${other_files} )
   execute_process( COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_CURRENT_SOURCE_DIR}/${file} ${CMAKE_CURRENT_BINARY_DIR} )
endforeach()

# debug_var(tgts)
# Another dummy target which depends on all previous targets
#add_custom_target( get_gribs ALL DEPENDS ${tgts} )
add_custom_target( get_gribs DEPENDS ${tgts} )

=== python/CMakeLists.txt ===
if( HAVE_PYTHON )

    ecbuild_find_python( VERSION 2.5)

    #find_package( SWIG )
    #if( SWIG_FOUND )
    #    include( ${SWIG_USE_FILE} )
    #endif()

    # check for Numpy
    find_package( NumPy )

    ###############################################################################
    # swig python interface


    if( HAVE_PYTHON AND PYTHONLIBS_FOUND )

        set(PYTHON_DEST "lib/python${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}/site-packages/grib_api" )

	    file( RELATIVE_PATH relative_rpath "${CMAKE_INSTALL_PREFIX}/${PYTHON_DEST}" "${${PNAME}_FULL_INSTALL_LIB_DIR}" )

		# debug_var( relative_rpath )

        ecbuild_append_to_rpath( ${relative_rpath} )
        ecbuild_append_to_rpath( "../../lib" )        # for ctest to find the libs

        # preparing for generating setup.py -- this may not be needed as cmake can do the swig + shared libs without libtool

        if( NUMPY_FOUND )
            set( DATA_HANDLER "numpy" )
        else()
            set( DATA_HANDLER "array" )
        endif()
        set( _swig_c_wrapper  swig_wrap_${DATA_HANDLER}.c )
        set( _swig_py_wrapper swig_wrap_${DATA_HANDLER}.py )

        set( BUILD_DIR "${PROJECT_SOURCE_DIR}" ) # setup.py assumes build_dir is same as source_dir -- not true for cmake builds

        set( LIB_PNG "${HAVE_LIBPNG}" )

        set( LIB_JASPER ${HAVE_LIBJASPER} )
        if( HAVE_LIBJASPER )
            get_filename_component(JASPER_DIR ${JASPER_INCLUDE_DIR} PATH )
        endif()

        set( LIB_OPENJPEG ${HAVE_LIBOPENJPEG} )
        if( HAVE_LIBOPENJPEG )
            get_filename_component(OPENJPEG_DIR ${OPENJPEG_INCLUDE_DIR} PATH )
        endif()

        include_directories( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${PYTHON_INCLUDE_DIRS} )

        configure_file( setup.py.in setup.py )

        # compile swig interface

        set(CMAKE_SWIG_FLAGS "")

        include_directories( ${PYTHON_INCLUDE_PATH} )

        set_source_files_properties( gribapi_swig.i PROPERTIES C ON )

        if( NUMPY_FOUND )
            set( CMAKE_SWIG_FLAGS "-DNUMPY" )
            include_directories( ${NUMPY_INCLUDE_DIRS} )
        endif()

        # Invoke swig to generate the C wrapper
        #  swig_add_module( gribapi_swig python grib_interface.h grib_interface.c gribapi_swig.i )
        #  swig_link_libraries( gribapi_swig grib_api ${PYTHON_LIBRARIES} )

        ####### Do not invoke swig. Use our own generated C wrapper file ######
        ecbuild_add_library(TARGET    _gribapi_swig
                            TYPE SHARED
                            NOINSTALL
                            SOURCES   grib_interface.h grib_interface.c ${_swig_c_wrapper}
                            LIBS      grib_api ${PYTHON_LIBRARIES} )
        # Don't use the lib prefix.  This is needed for the python case where a _modulename.so is generated
        set_target_properties(_gribapi_swig PROPERTIES PREFIX "")

        # Copy the wrapper python file to build area
        set( _swig_py  gribapi_swig.py )
        add_custom_command(
           OUTPUT ${_swig_py}
           COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/${_swig_py_wrapper} ${CMAKE_CURRENT_BINARY_DIR}/${_swig_py}
           DEPENDS _gribapi_swig
        )
        add_custom_target(copy_swig_py ALL DEPENDS ${_swig_py})
        #######################

        install(TARGETS _gribapi_swig DESTINATION ${PYTHON_DEST} )

        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/gribapi_swig.py  DESTINATION ${PYTHON_DEST})
        install(FILES gribapi.py DESTINATION ${PYTHON_DEST})

    endif()

endif()

=== tests/CMakeLists.txt ===
# tests/CMakeLists.txt
#
# Configure the file which all CMake tests will include
configure_file( include.ctest.sh.in  include.ctest.sh @ONLY )

# Build the executables used by test scripts
################################################
list( APPEND test_bins
      read_any
      julian
      index
      multi_from_message
      read_index
      unit_tests
      gauss_sub
)

foreach( tool ${test_bins} )
    # here we use the fact that each tool has only one C file that matches its name
    ecbuild_add_executable( TARGET    ${tool}
                            NOINSTALL
                            SOURCES   ${tool}.c
                            LIBS      grib_api
    )
endforeach()

# Now add each test (shell scripts)
#################################################
list( APPEND tests
    definitions
    ieee
    grib1to2
    grib2to1
    badgrib
    ls
    filter
    multi
    budg
    gridType
    concept
    decimalPrecision
    bitsPerValue
    get_fail
    missing
    local
    step
    set
    iterator
    compare
    level
    index
    bitmap
    list
    second_order
    multi_from_message
    change_scanning
    julian
    statistics
    tigge
    tigge_conversions
    read_any
    padding
    debug
    unit_tests
)

foreach( test ${tests} )
    # Note: making the test dependent on the grib data files
    #       means they will be downloaded at "make" time
    #       rather than when you do "make test"
    ecbuild_add_test( TARGET t_${test}
                  TYPE SCRIPT
                  DEPENDS get_gribs get_tigge_gribs
                  COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/${test}.sh
                  RESOURCES include.sh
    )
endforeach()

###########################################
# Note: the reference file is in the tests dir not data dir!
ecbuild_add_test( TARGET t_lamb_az_eq_area
                  TYPE SCRIPT
                  COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/lamb_az_eq_area.sh
                  RESOURCES include.sh lamb_az_eq_area.ref
)

# These ones are conditional
ecbuild_add_test( TARGET t_grib_to_netcdf
                  TYPE SCRIPT
                  CONDITION HAVE_NETCDF
                  COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/grib_to_netcdf.sh
                  RESOURCES include.sh
)

ecbuild_add_test( TARGET t_jpeg
                  TYPE SCRIPT
                  CONDITION HAVE_JPEG
                  COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/jpeg.sh
                  RESOURCES include.sh
)

ecbuild_add_test( TARGET t_ccsds
                  TYPE SCRIPT
                  CONDITION HAVE_AEC
                  COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/ccsds.sh
                  RESOURCES include.sh
)

=== examples/C/CMakeLists.txt ===
# examples/C/CMakeLists.txt

# Configure the file which all CMake tests will include
configure_file( include.ctest.sh.in  include.ctest.sh  @ONLY )


# Build the executables used by test scripts
################################################
list( APPEND test_bins
      nearest
      set_bitmap
      iterator
      get
      print_data
      set
      set_missing
      keys_iterator
      set_data
      mars_param
      values_check
      box
      multi
      multi2
      multi_write
      precision
      set_pv
      list
      get_data
      sections_copy
      iterator_bitmap
      large_grib1
      clone
      check_gaussian_grid
      ensemble_index
)
foreach( tool ${test_bins} )
    ecbuild_add_executable( TARGET    ${tool}
                            NOINSTALL
                            SOURCES   ${tool}.c
                            LIBS      grib_api
    )
endforeach()

# Now add each test (shell scripts)
#################################################
list( APPEND tests
   iterator
   get
   print_data
   set
   keys_iterator
   multi
   multi_write
   precision
   list
   large_grib1
   get_data
   set_missing
   clone
   sections_copy
   set_pv
   check_gaussian_grids
)
foreach( test ${tests} )
    ecbuild_add_test( TARGET c_${test}
                  TYPE       SCRIPT
                  COMMAND    ${CMAKE_CURRENT_SOURCE_DIR}/${test}.sh
                  RESOURCES  include.sh
    )
endforeach()


#############################################
# Tests with no script
ecbuild_add_test( TARGET    c_new_sample
                  SOURCES   new_sample.c
                  LIBS      grib_api
                  ARGS      "out.grib"
                  ENVIRONMENT "GRIB_SAMPLES_PATH=${PROJECT_SOURCE_DIR}/samples" "GRIB_DEFINITION_PATH=${PROJECT_SOURCE_DIR}/definitions"
)

## grib-api 1.9.0

=== debian/changelog ===
grib-api (1.9.0-2) unstable; urgency=low

  * Enable libpng support. Closes: #593216.
  * Don't use autotools-dev hooks together with dh-autoreconf

 -- Enrico Zini <enrico@debian.org>  Mon, 16 Aug 2010 13:32:12 +0100

grib-api (1.9.0-1) unstable; urgency=low

  * New upstream version. Closes: #581015
  * Added patch to fix samples and definitions install paths
  * Switch to source format 3.0 (quilt)
  * Package definitions together with the shared library like in 1.7.x,
    following upstream
  * Switch to debhelper 7

 -- Enrico Zini <enrico@debian.org>  Tue, 27 Jul 2010 11:37:44 +0100

grib-api (1.8.0-3) unstable; urgency=low

  * Added patch to fix an uninitialised memory access that makes iterator test
    fail. Closes: #570679
  * Updated standards-version (no changes required)

 -- Enrico Zini <enrico@debian.org>  Tue, 09 Mar 2010 14:43:46 +0100

grib-api (1.8.0-2) unstable; urgency=low

  * Install tools/parser as grib_parser
    Note: Fedora renames in the same way.
  * Do not install definitions: depend on libgrib-api-data instead.

 -- Enrico Zini <enrico@debian.org>  Wed, 14 Oct 2009 14:27:55 +0100

grib-api (1.8.0-1) unstable; urgency=low

  * libgrib-api-tools: changed to section utils.
  * New Upstream Version.  Closes: #540801.
  * Ported patches to new upstream version
  * Added Vcs-Git: and Vcs-Browser:

 -- Enrico Zini <enrico@debian.org>  Tue, 18 Aug 2009 12:44:03 +0100

grib-api (1.7.0-3) unstable; urgency=low

  * Limit Architecture: field to only those that work.
  * Updated Standards-Version. No changes needed.

 -- Enrico Zini <enrico@debian.org>  Sat, 04 Jul 2009 16:21:42 +0200

grib-api (1.7.0-2) unstable; urgency=low

  * Point README.source to the version provided by quilt
  * Update debian/copyright to reflect that the perl bindings follow perl's
    license

 -- Enrico Zini <enrico@debian.org>  Sun, 17 May 2009 18:58:01 +0100

grib-api (1.7.0-1) unstable; urgency=low

  * New Upstream Version.  Closes: #519184
  * Ported patches to new upstream version
  * Rebuild the build system in debian/rules
  * debian/rules clean: delete files modified by autotools
  * Added debian-specific release to the library name, so we will not conflict
    with upstream once they will start shipping shared libraries.
  * Updated Standards-Version
     - Renamed libgribapi-bin to libgribapi-tools as suggested by policy
  * Use debhelper 7
  * Added manpages for those commands that have any documentation

 -- Enrico Zini <enrico@debian.org>  Wed, 22 Apr 2009 15:47:53 +0100

grib-api (1.6.4-1) unstable; urgency=low

  * Initial Debian release
  * Patches:
     - amconditional: Use automake conditionals to exclude subdirectories
     - libtool: Create a shared library
     - fortran: Fixes for fortran packaging

 -- Enrico Zini <enrico@debian.org>  Tue, 18 Nov 2008 11:15:52 +0000

=== debian/control ===
Source: grib-api
Section: libdevel
Priority: optional
Maintainer: Enrico Zini <enrico@debian.org>
Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf, dh-buildinfo, libjasper-dev, libjpeg62-dev, libpng12-dev, gfortran, flex, bison, quilt, automake, autoconf, libtool
Standards-Version: 3.9.0.0
Homepage: http://www.ecmwf.int/products/data/software/grib_api.html
Vcs-Git: git://git.debian.org/git/collab-maint/gribapi.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gribapi.git

Package: libgrib-api-0d-0
Section: libs
Architecture: i386 amd64 ia64 powerpc s390 alpha armel mipsel kfreebsd-amd64 kfreebsd-i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libgrib-api-data (<< 1.9.0~)
Breaks: libgrib-api-data (<< 1.9.0~)
Description: GRIB decoding/encoding software library
 The ECMWF GRIB API is an application program interface accessible from C and
 FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
 and edition 2 messages.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

Package: libgrib-api-dev
Section: libdevel
Architecture: i386 amd64 ia64 powerpc s390 alpha armel mipsel kfreebsd-amd64 kfreebsd-i386
Depends: libgrib-api-0d-0 (= ${binary:Version}), ${misc:Depends}
Description: GRIB decoding/encoding software library (development)
 The ECMWF GRIB API is an application program interface accessible from C and
 FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
 and edition 2 messages.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.
 
Package: libgrib-api-tools
Section: utils
Architecture: i386 amd64 ia64 powerpc s390 alpha armel mipsel kfreebsd-amd64 kfreebsd-i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GRIB decoding/encoding software (utilities)
 The ECMWF GRIB API is an application program interface accessible from C and
 FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
 and edition 2 messages.
 .
 This is a useful set of command line tools to give quick access to grib
 messages.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

=== debian/rules ===
#!/usr/bin/make -f

export CFLAGS += -fPIC

%:
	dh --with autoreconf $@

override_dh_auto_configure:
	dh_auto_configure -- --with-png-support

override_dh_auto_install:
	dh_auto_install --with autoreconf
	mv debian/tmp/usr/bin/parser debian/tmp/usr/bin/grib_parser

override_dh_auto_clean:
	dh_auto_clean
	-# Things that upstream leaves behind
	rm -f tests/bitmap.rules tests/out.grib1 tests/out.grib2 tests/out.gribidx \
	      tests/rules tests/simple_ieee_test.grib1.txt tests/statistics.filter \
	      tests/statistics.out tests/x.grib \
	      data/change_scanning_rotated_ll.filter examples/F90/index.idx

override_dh_fixperms:
	dh_fixperms
	test -e /usr/bin/dh_buildinfo && dh_buildinfo

## grib-api 1.9.5

=== debian/changelog ===
grib-api (1.9.5-1build1) oneiric; urgency=low

  * gfortran-4.6 rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 11 Sep 2011 11:20:42 +0000

grib-api (1.9.5-1) unstable; urgency=low

  * New upstream version. Closes: #607671.
  * Build on armhf. Closes: #604659.
  * Updated standards-version (no changes required)
  * Updated soname since this release breaks ABI (see #607671)
  * libgrib-api-0d-1 Conflicts with libgrib-api-0d-0 since there is no way to
    make them coinstallable.
    Even splitting GRIB definitions in a separate package would not work,
    because definitions tend to be strongly tied to specific runtime versions,
    and two different definition packages cannot be installed at the same
    time.

 -- Enrico Zini <enrico@debian.org>  Fri, 11 Feb 2011 16:57:43 +0000

=== debian/control ===
Source: grib-api
Section: libdevel
Priority: optional
Maintainer: Enrico Zini <enrico@debian.org>
Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf, dh-buildinfo, libjasper-dev, libjpeg62-dev, libpng12-dev, gfortran, flex, bison, quilt, automake, autoconf, libtool
Standards-Version: 3.9.1
Homepage: http://www.ecmwf.int/products/data/software/grib_api.html
Vcs-Git: git://git.debian.org/git/collab-maint/gribapi.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gribapi.git

Package: libgrib-api-0d-1
Section: libs
Architecture: i386 amd64 ia64 powerpc s390 alpha armel mipsel kfreebsd-amd64 kfreebsd-i386 armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libgrib-api-data (<< 1.9.0~)
Breaks: libgrib-api-data (<< 1.9.0~)
Conflicts: libgrib-api-0d-0
Description: GRIB decoding/encoding software library
 The ECMWF GRIB API is an application program interface accessible from C and
 FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
 and edition 2 messages.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

Package: libgrib-api-dev
Section: libdevel
Architecture: i386 amd64 ia64 powerpc s390 alpha armel mipsel kfreebsd-amd64 kfreebsd-i386 armhf
Depends: libgrib-api-0d-1 (= ${binary:Version}), ${misc:Depends}
Description: GRIB decoding/encoding software library (development)
 The ECMWF GRIB API is an application program interface accessible from C and
 FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
 and edition 2 messages.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.
 
Package: libgrib-api-tools
Section: utils
Architecture: i386 amd64 ia64 powerpc s390 alpha armel mipsel kfreebsd-amd64 kfreebsd-i386 armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GRIB decoding/encoding software (utilities)
 The ECMWF GRIB API is an application program interface accessible from C and
 FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
 and edition 2 messages.
 .
 This is a useful set of command line tools to give quick access to grib
 messages.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

## grib-api 1.9.9

=== debian/changelog ===
grib-api (1.9.9-4~bpo60+1) squeeze-backports; urgency=low

  * Upload to backports.org
  * Lowered configure.ac version requirement

 -- Enrico Zini <enrico@debian.org>  Mon, 05 Dec 2011 21:59:37 +0100

grib-api (1.9.9-3) unstable; urgency=low

  * Build-depend on libjpeg-dev. Closes: #642832
  * padding.sh test only fails when run by a buildd, cannot reproduce
    otherwise or figure out why it fails. Disabling it for now.
    Closes: #642253
  * Removed ksh-isms on grib1to2
  * Removed ksh-ism on tests/second_order.sh

 -- Enrico Zini <enrico@debian.org>  Sun, 02 Oct 2011 09:02:17 +0200

grib-api (1.9.9-2) unstable; urgency=low

  * amconditional.patch: fixed SUBDIRS order so that everything tests need is
    built before tests are run.

 -- Enrico Zini <enrico@debian.org>  Tue, 20 Sep 2011 20:18:04 +0200

grib-api (1.9.9-1) unstable; urgency=low

  * New upstream version. Closes: #620243

 -- Enrico Zini <enrico@debian.org>  Mon, 19 Sep 2011 16:59:34 +0200

grib-api (1.8.0-2~bpo50+1) lenny-backports; urgency=low

  * Upload to backports.org

 -- Enrico Zini <enrico@debian.org>  Mon, 16 Nov 2009 10:51:26 +0000

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,19 @@
 Section: libdevel
 Priority: optional
 Maintainer: Enrico Zini <enrico@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf, dh-buildinfo, libjasper-dev, libjpeg62-dev, libpng12-dev, gfortran, flex, bison, quilt, automake, autoconf, libtool
+Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf, dh-buildinfo, libjasper-dev, libjpeg-dev, libpng12-dev, gfortran, flex, bison, quilt, automake, autoconf, libtool
 Standards-Version: 3.9.1
 Homepage: http://www.ecmwf.int/products/data/software/grib_api.html
 Vcs-Git: git://git.debian.org/git/collab-maint/gribapi.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gribapi.git
 
-Package: libgrib-api-0d-1
+Package: libgrib-api-1.9.9
 Section: libs
 Architecture: i386 amd64 ia64 powerpc s390 alpha armel mipsel kfreebsd-amd64 kfreebsd-i386 armhf
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: libgrib-api-data (<< 1.9.0~)
 Breaks: libgrib-api-data (<< 1.9.0~)
-Conflicts: libgrib-api-0d-0
+Conflicts: libgrib-api-0d-0, libgrib-api-0d-1
 Description: GRIB decoding/encoding software library
  The ECMWF GRIB API is an application program interface accessible from C and
  FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
@@ -25,7 +25,7 @@
 Package: libgrib-api-dev
 Section: libdevel
 Architecture: i386 amd64 ia64 powerpc s390 alpha armel mipsel kfreebsd-amd64 kfreebsd-i386 armhf
-Depends: libgrib-api-0d-1 (= ${binary:Version}), ${misc:Depends}
+Depends: libgrib-api-1.9.9 (= ${binary:Version}), ${misc:Depends}
 Description: GRIB decoding/encoding software library (development)
  The ECMWF GRIB API is an application program interface accessible from C and
  FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,8 @@
 	dh --with autoreconf $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-png-support
+	# Disable python modules until we figure out how to build them properly
+	dh_auto_configure -- --with-png-support --disable-python
 
 override_dh_auto_install:
 	dh_auto_install --with autoreconf

## grib-api 1.9.16

=== debian/changelog ===
grib-api (1.9.16-2) unstable; urgency=low

  * Conflicts with libgrib-api-1.9.9. Closes: #668697.

 -- Enrico Zini <enrico@debian.org>  Mon, 16 Apr 2012 11:25:42 +0200

grib-api (1.9.16-1) unstable; urgency=low

  * New upstream version
  * Dropped amconditional patch, no longer needed
  * Build-Depend on libpng-dev instead of libpng12-dev. Closes: #662363.
  * Updated standards-version (no changes required)

 -- Enrico Zini <enrico@debian.org>  Fri, 13 Apr 2012 14:26:20 +0200

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,19 @@
 Section: libdevel
 Priority: optional
 Maintainer: Enrico Zini <enrico@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf, dh-buildinfo, libjasper-dev, libjpeg-dev, libpng12-dev, gfortran, flex, bison, quilt, automake, autoconf, libtool
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf, dh-buildinfo, libjasper-dev, libjpeg-dev, libpng-dev, gfortran, flex, bison, quilt, automake, autoconf, libtool
+Standards-Version: 3.9.3.0
 Homepage: http://www.ecmwf.int/products/data/software/grib_api.html
 Vcs-Git: git://git.debian.org/git/collab-maint/gribapi.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gribapi.git
 
-Package: libgrib-api-1.9.9
+Package: libgrib-api-1.9.16
 Section: libs
 Architecture: i386 amd64 ia64 powerpc s390 alpha armel mipsel kfreebsd-amd64 kfreebsd-i386 armhf
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: libgrib-api-data (<< 1.9.0~)
 Breaks: libgrib-api-data (<< 1.9.0~)
-Conflicts: libgrib-api-0d-0, libgrib-api-0d-1
+Conflicts: libgrib-api-0d-0, libgrib-api-0d-1, libgrib-api-1.9.9
 Description: GRIB decoding/encoding software library
  The ECMWF GRIB API is an application program interface accessible from C and
  FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
@@ -25,7 +25,7 @@
 Package: libgrib-api-dev
 Section: libdevel
 Architecture: i386 amd64 ia64 powerpc s390 alpha armel mipsel kfreebsd-amd64 kfreebsd-i386 armhf
-Depends: libgrib-api-1.9.9 (= ${binary:Version}), ${misc:Depends}
+Depends: libgrib-api-1.9.16 (= ${binary:Version}), ${misc:Depends}
 Description: GRIB decoding/encoding software library (development)
  The ECMWF GRIB API is an application program interface accessible from C and
  FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1

## grib-api 1.10.4

=== debian/changelog ===
grib-api (1.10.4-3ubuntu1) trusty; urgency=medium

  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 23:41:15 +0100

grib-api (1.10.4-3) unstable; urgency=low

  * Back to Arch: any after successful testing on mips and sparc.
    Closes: #529995.

 -- Enrico Zini <enrico@debian.org>  Sun, 25 Aug 2013 01:27:15 +0200

grib-api (1.10.4-2) unstable; urgency=low

  * Conflicts with libgrib-api-1.9.16. Closes: #720010, #720374.

 -- Enrico Zini <enrico@debian.org>  Fri, 23 Aug 2013 12:03:42 +0200

grib-api (1.10.4-1) unstable; urgency=low

  * New upstream version. Closes: #713400.
  * Updated standards-version, no changes required. No point introducing a
    symbols file since upstream sets the soname to the full library version
  * Updated debian/copyright to follow upstream's license change to Apache 2.0

 -- Enrico Zini <enrico@debian.org>  Tue, 13 Aug 2013 11:07:55 +0200

grib-api (1.10.0-1) UNRELEASED; urgency=low

  * Removed patch no-padding-test.diff, fixed upastream.
  * Removed patch fortran.diff, replaced with a different configure invocation
  * Stop using dh-autoreconf, since we do not patch the build system anymore.

 -- Enrico Zini <enrico@debian.org>  Fri, 25 Jan 2013 14:52:30 +0100

grib-api (1.9.18-1) UNRELEASED; urgency=low

  * New Upstream Version.
  * Removed patch paths.diff, accepted upstream.
  * Removed patch grib1to2.diff, accepted upstream.
  * Removed patch second_order.sh.diff, accepted upstream.

 -- Enrico Zini <enrico@debian.org>  Fri, 25 Jan 2013 14:52:30 +0100

=== debian/control ===
Source: grib-api
Section: libdevel
Priority: optional
Maintainer: Enrico Zini <enrico@debian.org>
Build-Depends: debhelper (>= 7.0.50~), dh-buildinfo, libjasper-dev, libjpeg-dev, libpng-dev, gfortran, flex, bison, quilt, automake, autoconf, libtool, dh-autoreconf, automake1.11
Standards-Version: 3.9.4.0
Homepage: http://www.ecmwf.int/products/data/software/grib_api.html
Vcs-Git: git://git.debian.org/git/collab-maint/gribapi.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gribapi.git

Package: libgrib-api-1.10.4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libgrib-api-data (<< 1.9.0~)
Breaks: libgrib-api-data (<< 1.9.0~)
Conflicts: libgrib-api-0d-0, libgrib-api-0d-1, libgrib-api-1.9.9, libgrib-api-1.9.16
Description: GRIB decoding/encoding software library
 The ECMWF GRIB API is an application program interface accessible from C and
 FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
 and edition 2 messages.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

Package: libgrib-api-dev
Section: libdevel
Architecture: any
Depends: libgrib-api-1.10.4 (= ${binary:Version}), ${misc:Depends}
Description: GRIB decoding/encoding software library (development)
 The ECMWF GRIB API is an application program interface accessible from C and
 FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
 and edition 2 messages.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.
 
Package: libgrib-api-tools
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GRIB decoding/encoding software (utilities)
 The ECMWF GRIB API is an application program interface accessible from C and
 FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
 and edition 2 messages.
 .
 This is a useful set of command line tools to give quick access to grib
 messages.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,18 @@
 #!/usr/bin/make -f
 
 export CFLAGS += -fPIC
+export AUTOMAKE = automake-1.11
+export ACLOCAL = aclocal-1.11
 
 %:
-	dh --with autoreconf $@
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
 	# Disable python modules until we figure out how to build them properly
-	dh_auto_configure -- --with-png-support --disable-python
+	F77=gfortran dh_auto_configure -- --with-png-support --disable-python
 
 override_dh_auto_install:
-	dh_auto_install --with autoreconf
+	dh_auto_install
 	mv debian/tmp/usr/bin/parser debian/tmp/usr/bin/grib_parser
 
 override_dh_auto_clean:

## grib-api 1.13.1

=== debian/changelog ===
grib-api (1.13.1-1.1) UNRELEASED; urgency=medium

  * Non-maintainer upload.
  * Move to version 1.13.1 needed by CDO.
  * Update homepage again.
 
 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 01 Jul 2015 14:11:43 +0100

grib-api (1.12.3-1) experimental; urgency=medium

  * New upstream version
     - grib_api has an official soname now!
  * Updated Homepage. Closes: #746454
    Thanks: Aníbal Monsalve Salazar <anibal@debian.org>
  * Updated Standards-Version, no changes required

 -- Enrico Zini <enrico@debian.org>  Mon, 06 Oct 2014 14:58:41 +0200

grib-api (1.10.4-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using dh-autoreconf. Closes: #727384.

 -- Matthias Klose <doko@debian.org>  Thu, 04 Sep 2014 19:59:49 +0200

grib-api (1.10.4-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS: grib-api - tests fail for mips"
    Patch by Dragoslav Sicarov <Dragoslav.Sicarov@imgtec.com>
    Closes: #733510

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 30 Apr 2014 09:06:53 +0100

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,21 @@
 Section: libdevel
 Priority: optional
 Maintainer: Enrico Zini <enrico@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), dh-buildinfo, libjasper-dev, libjpeg-dev, libpng-dev, gfortran, flex, bison, quilt, automake, autoconf, libtool, dh-autoreconf, automake1.11
-Standards-Version: 3.9.4.0
-Homepage: http://www.ecmwf.int/products/data/software/grib_api.html
+Build-Depends: debhelper (>= 9), dh-buildinfo, dh-autoreconf, automake1.11,
+  libjasper-dev, libjpeg-dev, libpng-dev, gfortran, flex, bison, quilt,
+  curl
+Standards-Version: 3.9.6.0
+Homepage: https://software.ecmwf.int/wiki/display/GRIB/Home
 Vcs-Git: git://git.debian.org/git/collab-maint/gribapi.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gribapi.git
 
-Package: libgrib-api-1.10.4
+Package: libgrib-api0
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: libgrib-api-data (<< 1.9.0~)
 Breaks: libgrib-api-data (<< 1.9.0~)
-Conflicts: libgrib-api-0d-0, libgrib-api-0d-1, libgrib-api-1.9.9, libgrib-api-1.9.16
+Conflicts: libgrib-api-0d-0, libgrib-api-0d-1, libgrib-api-1.9.9, libgrib-api-1.9.16, libgrib-api-1.10.4
 Description: GRIB decoding/encoding software library
  The ECMWF GRIB API is an application program interface accessible from C and
  FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
@@ -25,7 +27,7 @@
 Package: libgrib-api-dev
 Section: libdevel
 Architecture: any
-Depends: libgrib-api-1.10.4 (= ${binary:Version}), ${misc:Depends}
+Depends: libgrib-api0 (= ${binary:Version}), ${misc:Depends}
 Description: GRIB decoding/encoding software library (development)
  The ECMWF GRIB API is an application program interface accessible from C and
  FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 override_dh_auto_configure:
 	# Disable python modules until we figure out how to build them properly
 	F77=gfortran dh_auto_configure -- --with-png-support --disable-python
+
+override_dh_auto_test:
+	@echo Tests currently disabled to avoid downloading of data
 
 override_dh_auto_install:
 	dh_auto_install
